from sanic import Sanic
from sanic.response import html, text, file

app = Sanic("app")

@app.middleware("response")
async def add_headers(request, response):
    response.headers["Cross-Origin-Opener-Policy"] = "same-origin"
    response.headers["Cross-Origin-Embedder-Policy"] = "require-corp"

@app.route('/')
async def test(request):
    contents = None
    with open('test.html') as f:
        contents = f.read()
    
    return html(contents)
    
@app.route('/sw.js')
async def test(request):
    return await file("sw.js", mime_type="text/javascript")
    
@app.route('/manifest.json')
async def test(request):
    return await file("manifest.json", mime_type="application/json")

if __name__ == '__main__':
    ssl = {
        "cert": "cert/localhost.crt",
        "key": "cert/localhost.key",
    }
    app.run(host="0.0.0.0", port=8443, ssl=ssl)


